The WP Engine PHP Compatibility Checker can be used by any WordPress website on any web host to check PHP version compatibility. When updating to PHP 7.2+ this is a great plugin to install and check if your website will not break after your update. many themes are not ready for PHP 7+ and will cause major issues. So the WP Engine team wanted to give back to the WordPress community by developing a plugin that will help you make sure you are safe to update your PHP version. The plugin will check the code of any other plugins and themes and give you back a report with compatibility issues so you can fix it before updating. WP Engine is a proud supporter and contributor to WordPress.org open-source community.
WP Engine partners with Amazon Web Services and Google Cloud Platform to build your websites on the same industry-leading architecture those companies use to power their own digital experiences. Global data centers and cloud coverage ensure your site is available and loading fast no matter where your visitors are in the world. And, with WP Engine optimizing these cloud environments for you, you can spend your technical resources building beautiful experiences instead of the systems to power them.

WP Engine specializes in VIP managed WordPress hosting. As pioneers in the managed WordPress hosting industry, they boast an impressive customer list including Yelp, Asana, National Geographic, PBS, and MyFitnessPal. WP Engine is an ideal choice for those looking for hassle-free premium WordPress hosting. Read our expert WP Engine review to see if it’s the right choice for you.

×